## bioxtasraw 2.1.1

=== requirements.txt ===
numpy
scipy
matplotlib
pillow
wxpython
numba
h5py
cython
numexpr
hdf5plugin
silx
fabio
pyfai ; python_version > '2.7'
pyfai == 0.17; python_version == '2.7'
future; python_version == '2.7'
dbus-python; platform_system == 'Linux'

=== debian/changelog ===
bioxtasraw (2.1.1-4) unstable; urgency=medium

  * Disable autopkgtest-pkg-python due to missing dependencies on s390x

 -- Neil Williams <codehelp@debian.org>  Wed, 13 Jul 2022 19:06:30 +0100

bioxtasraw (2.1.1-3) unstable; urgency=medium

  * Drop autopkgtest runs on problematic architectures

 -- Neil Williams <codehelp@debian.org>  Wed, 13 Jul 2022 09:49:26 +0100

bioxtasraw (2.1.1-2) unstable; urgency=medium

  * Fix autopkgtest to avoid local path issues tied to the source
    package.
  * Add missing runtime dependency on reportlab

 -- Neil Williams <codehelp@debian.org>  Mon, 11 Jul 2022 08:50:48 +0100

bioxtasraw (2.1.1-1) unstable; urgency=medium

  [ Sebastien Delafond ]
  * Initial release. (Closes: #969371: ITP: bioxtasraw -- process
    biological small angle scattering data)

  [ Neil Williams ]
  * Trim trailing whitespace.
  * debian/copyright: Replace commas with whitespace to separate items in Files
    paragraph.
  * New upstream release.
  * Add doc package and sphinx B-D
  * Update d.copyright
  * Patch out privacy breaches in docs
  * Add d.watch file for SF
  * Add resources to Python module for GUI support. Add Wx python
    support. Patch desktop file for use with package name and icon
    location
  * Add simplistic autopkgtest
  * Improve desktop patch for validity check
  * d.copyright: update for files used with permission

 -- Neil Williams <codehelp@debian.org>  Tue, 03 May 2022 08:24:23 +0100

=== debian/control ===
Source: bioxtasraw
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>,
 Neil Williams <codehelp@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 cython3,
 python3-all,
 python3-all-dev:any,
 python3-fabio,
 python3-h5py,
 python3-pyfai,
 python3-matplotlib,
 python3-mock <!nocheck>,
 python3-numba,
 python3-numexpr,
 python3-numpy,
 python3-pillow,
 python3-pytest <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-scipy,
 python3-setuptools,
 python3-silx,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.6.0
Homepage: https://sourceforge.net/p/bioxtasraw/git/
Vcs-Browser: https://salsa.debian.org/science-team/bioxtasraw
Vcs-Git: https://salsa.debian.org/science-team/bioxtasraw.git
Rules-Requires-Root: no

Package: python3-bioxtasraw
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Suggests: python-bioxtasraw-doc
Description: process biological small angle scattering data
 BioXTAS RAW is a GUI based, Python program for reduction and
 analysis of small-angle X-ray solution scattering (SAXS) data.
 The package is designed for biological SAXS data.
 .
 BioXTAS RAW provides an alternative to closed source programs
 such as Primus and Scatter for primary data analysis. Because
 it can calibrate, mask, and integrate images it also provides
 an alternative to synchrotron beamline pipelines that scientists
 can install on their own computers and use both at home and at
 the beamline.

Package: python-bioxtasraw-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${python3:Depends}, ${misc:Depends}
Description: process small angle scattering data (documentation)
 BioXTAS RAW is a GUI based, Python program for reduction and
 analysis of small-angle X-ray solution scattering (SAXS) data.
 The package is designed for biological SAXS data.
 .
 BioXTAS RAW provides an alternative to closed source programs
 such as Primus and Scatter for primary data analysis. Because
 it can calibrate, mask, and integrate images it also provides
 an alternative to synchrotron beamline pipelines that scientists
 can install on their own computers and use both at home and at
 the beamline.
 .
 This is the BioXTAS RAW documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bioxtasraw
#export PYBUILD_DISABLE=test
# export PYBUILD_INTERPRETERS=python{version}

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source/ build/html
	$(RM) build/html/objects.inv

override_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_auto_test:
	# disabled
	true

override_dh_auto_clean:
	dh_auto_clean
	find . -name "*.pyc" -delete
	$(RM) -r build/html bioxtasraw.egg-info Tests/.pytest_cache/

=== debian/tests/control ===
Tests: simple
Architecture: amd64, arm64, i386, ppc64el
Depends: @, desktop-file-utils

=== debian/watch ===
version=4

# SourceForge hosted projects
http://sf.net/bioxtasraw/ RAW-(.*)-source\.zip debian uupdate

## bioxtasraw 2.2.1

=== requirements.txt ===
--- 
+++ 
@@ -10,6 +10,9 @@
 hdf5plugin
 silx
 fabio
+reportlab
+mmcif_pdbx
+svglib
 pyfai ; python_version > '2.7'
 pyfai == 0.17; python_version == '2.7'
 future; python_version == '2.7'

=== docs/requirements.txt ===
#For building the docs on readthedocs.org
numpy
scipy
matplotlib
pillow
numba
h5py
cython
numexpr
hdf5plugin
silx
fabio
reportlab
mmcif_pdbx
svglib
pyfai ; python_version > '2.7'
pyfai == 0.17; python_version == '2.7'
future; python_version == '2.7'

=== debian/changelog ===
bioxtasraw (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Add myself to Uploaders.

 -- Roland Mas <lolando@debian.org>  Wed, 16 Aug 2023 21:33:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastien Delafond <seb@debian.org>,
- Neil Williams <codehelp@debian.org>,
+Uploaders: Freexian Packaging Team <team+freexian@tracker.debian.org>,
+ Roland Mas <lolando@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

## bioxtasraw 2.2.2

=== debian/changelog ===
bioxtasraw (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Replace virtual python3-pillow by python3-pil
  * Refresh patches, drop by own 'future' patch.
  * Drop dependency on python3-mock (Closes: #1069737)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 17:21:38 +0200

bioxtasraw (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-future dependency
    Closes: #1058861
  * Fix clean target
  * Drop cython3 runtime dependency
    Closes: #1057981

 -- Andreas Tille <tille@debian.org>  Sat, 06 Jan 2024 15:57:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Roland Mas <lolando@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  cython3,
  python3-all,
  python3-all-dev:any,
@@ -14,11 +14,10 @@
  python3-h5py,
  python3-pyfai,
  python3-matplotlib,
- python3-mock <!nocheck>,
  python3-numba,
  python3-numexpr,
  python3-numpy,
- python3-pillow,
+ python3-pil,
  python3-pytest <!nocheck>,
  python3-pytest-runner <!nocheck>,
  python3-scipy,
@@ -26,7 +25,7 @@
  python3-silx,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://sourceforge.net/p/bioxtasraw/git/
 Vcs-Browser: https://salsa.debian.org/science-team/bioxtasraw
 Vcs-Git: https://salsa.debian.org/science-team/bioxtasraw.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # export PYBUILD_INTERPRETERS=python{version}
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

## bioxtasraw 2.3.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = BioXTASRAW
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
--- 
+++ 
@@ -13,6 +13,6 @@
 reportlab
 mmcif_pdbx
 svglib
+sphinx_rtd_theme
 pyfai ; python_version > '2.7'
 pyfai == 0.17; python_version == '2.7'
-future; python_version == '2.7'

=== debian/changelog ===
bioxtasraw (2.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't generate a runtime dependency on numba. (Closes: #1058469)

 -- Adrian Bunk <bunk@debian.org>  Thu, 10 Apr 2025 16:04:42 +0300

bioxtasraw (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Add missing dependency on python3-six (Closes: #1090093)

  [ Sébastien Delafond ]
  * Remove Freexian Packaging Team from uploaders

 -- Alexandre Detiste <tchet@debian.org>  Wed, 25 Dec 2024 21:44:30 +0100

bioxtasraw (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 05 Nov 2024 11:33:05 +0100

bioxtasraw (2.2.2-2) unstable; urgency=medium

  * Bug fix: "please (temporarily) drop python3-numba dependencies",
    thanks to Graham Inggs (Closes: #1058469).

 -- Roland Mas <lolando@debian.org>  Mon, 23 Sep 2024 21:48:56 +0200

=== debian/tests/control ===
Tests: simple
Architecture: amd64, arm64, i386, ppc64el
Depends: desktop-file-utils, @,

## bioxtasraw 2.3.1

=== requirements.txt ===
--- 
+++ 
@@ -15,5 +15,4 @@
 svglib
 pyfai ; python_version > '2.7'
 pyfai == 0.17; python_version == '2.7'
-future; python_version == '2.7'
 dbus-python; platform_system == 'Linux'

=== docs/requirements.txt ===
--- 
+++ 
@@ -14,5 +14,6 @@
 mmcif_pdbx
 svglib
 sphinx_rtd_theme
+sphinxcontrib-googleanalytics
 pyfai ; python_version > '2.7'
 pyfai == 0.17; python_version == '2.7'

=== debian/changelog ===
bioxtasraw (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 13 Aug 2025 17:38:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,28 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Freexian Packaging Team <team+freexian@tracker.debian.org>,
- Roland Mas <lolando@debian.org>
+Uploaders:
+ Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
+ Roland Mas <lolando@debian.org>,
 Build-Depends:
+ cython3,
  debhelper-compat (= 13),
  dh-sequence-python3,
- cython3,
  python3-all,
  python3-all-dev:any,
  python3-fabio,
  python3-h5py,
- python3-pyfai,
  python3-matplotlib,
- python3-numba,
  python3-numexpr,
  python3-numpy,
  python3-pil,
+ python3-pyfai,
  python3-pytest <!nocheck>,
  python3-pytest-runner <!nocheck>,
  python3-scipy,
  python3-setuptools,
  python3-silx,
+ python3-six,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
 Standards-Version: 4.7.0
@@ -33,8 +34,9 @@
 
 Package: python3-bioxtasraw
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
-Suggests: python-bioxtasraw-doc
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+         python3-six,
+Suggests: python-bioxtasraw-doc,
 Description: process biological small angle scattering data
  BioXTAS RAW is a GUI based, Python program for reduction and
  analysis of small-angle X-ray solution scattering (SAXS) data.
@@ -51,7 +53,7 @@
 Architecture: all
 Section: doc
 Multi-Arch: foreign
-Depends: ${sphinxdoc:Depends}, ${python3:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends},
 Description: process small angle scattering data (documentation)
  BioXTAS RAW is a GUI based, Python program for reduction and
  analysis of small-angle X-ray solution scattering (SAXS) data.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	dh_numpy3
+	rm -r debian/python3-bioxtasraw/usr/lib/python*/dist-packages/bioxtasraw/resources/
 
 override_dh_auto_test:
 	# disabled

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/jbhopkins/bioxtasraw/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
